1 # Makefile.in generated by automake 1.15 from Makefile.am.
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
18 # Makefile.am (30.03.15)
21 # Free exFAT implementation.
22 # Copyright (C) 2010-2015 Andrew Nayenko
24 # This program is free software; you can redistribute it and/or modify
25 # it under the terms of the GNU General Public License as published by
26 # the Free Software Foundation, either version 2 of the License, or
27 # (at your option) any later version.
29 # This program is distributed in the hope that it will be useful,
30 # but WITHOUT ANY WARRANTY; without even the implied warranty of
31 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
32 # GNU General Public License for more details.
34 # You should have received a copy of the GNU General Public License along
35 # with this program; if not, write to the Free Software Foundation, Inc.,
36 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
40 if test -z '$(MAKELEVEL)'; then \
42 elif test -n '$(MAKE_HOST)'; then \
44 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
50 am__make_running_with_option = \
51 case $${target_option-} in \
53 *) echo "am__make_running_with_option: internal error: invalid" \
54 "target option '$${target_option-}' specified" >&2; \
58 sane_makeflags=$$MAKEFLAGS; \
59 if $(am__is_gnu_make); then \
60 sane_makeflags=$$MFLAGS; \
65 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
66 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
72 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
74 for flg in $$sane_makeflags; do \
75 test $$skip_next = yes && { skip_next=no; continue; }; \
78 -*I) strip_trailopt 'I'; skip_next=yes;; \
79 -*I?*) strip_trailopt 'I';; \
80 -*O) strip_trailopt 'O'; skip_next=yes;; \
81 -*O?*) strip_trailopt 'O';; \
82 -*l) strip_trailopt 'l'; skip_next=yes;; \
83 -*l?*) strip_trailopt 'l';; \
84 -[dEDm]) skip_next=yes;; \
85 -[JT]) skip_next=yes;; \
88 *$$target_option*) has_opt=yes; break;; \
92 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
93 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
94 pkgdatadir = $(datadir)/@PACKAGE@
95 pkgincludedir = $(includedir)/@PACKAGE@
96 pkglibdir = $(libdir)/@PACKAGE@
97 pkglibexecdir = $(libexecdir)/@PACKAGE@
98 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
99 install_sh_DATA = $(install_sh) -c -m 644
100 install_sh_PROGRAM = $(install_sh) -c
101 install_sh_SCRIPT = $(install_sh) -c
102 INSTALL_HEADER = $(INSTALL_DATA)
103 transform = $(program_transform_name)
111 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
112 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
113 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
115 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
116 $(am__configure_deps) $(am__DIST_COMMON)
117 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
118 configure.lineno config.status.lineno
119 mkinstalldirs = $(install_sh) -d
120 CONFIG_HEADER = $(top_builddir)/libexfat/config.h
122 CONFIG_CLEAN_VPATH_FILES =
123 AM_V_P = $(am__v_P_@AM_V@)
124 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
127 AM_V_GEN = $(am__v_GEN_@AM_V@)
128 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
129 am__v_GEN_0 = @echo " GEN " $@;
131 AM_V_at = $(am__v_at_@AM_V@)
132 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
137 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
138 ctags-recursive dvi-recursive html-recursive info-recursive \
139 install-data-recursive install-dvi-recursive \
140 install-exec-recursive install-html-recursive \
141 install-info-recursive install-pdf-recursive \
142 install-ps-recursive install-recursive installcheck-recursive \
143 installdirs-recursive pdf-recursive ps-recursive \
144 tags-recursive uninstall-recursive
145 am__can_run_installinfo = \
146 case $$AM_UPDATE_INFO_DIR in \
148 *) (install-info --version) >/dev/null 2>&1;; \
150 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
151 distclean-recursive maintainer-clean-recursive
152 am__recursive_targets = \
153 $(RECURSIVE_TARGETS) \
154 $(RECURSIVE_CLEAN_TARGETS) \
155 $(am__extra_recursive_targets)
156 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
157 cscope distdir dist dist-all distcheck
158 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
159 # Read a list of newline-separated strings from the standard input,
160 # and print each of them once, without duplicates. Input order is
162 am__uniquify_input = $(AWK) '\
163 BEGIN { nonempty = 0; } \
164 { items[$$0] = 1; nonempty = 1; } \
165 END { if (nonempty) { for (i in items) print i; }; } \
167 # Make sure the list of sources is unique. This is necessary because,
168 # e.g., the same source file might be shared among _SOURCES variables
169 # for different programs/libraries.
170 am__define_uniq_tagged_files = \
171 list='$(am__tagged_files)'; \
172 unique=`for i in $$list; do \
173 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
174 done | $(am__uniquify_input)`
178 DIST_SUBDIRS = $(SUBDIRS)
179 am__DIST_COMMON = $(srcdir)/Makefile.in COPYING ChangeLog README \
180 ar-lib compile depcomp install-sh missing
181 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
182 distdir = $(PACKAGE)-$(VERSION)
183 top_distdir = $(distdir)
184 am__remove_distdir = \
185 if test -d "$(distdir)"; then \
186 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
187 && rm -rf "$(distdir)" \
188 || { sleep 5 && rm -rf "$(distdir)"; }; \
190 am__post_remove_distdir = $(am__remove_distdir)
193 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
194 sed_rest='s,^[^/]*/*,,'; \
195 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
196 sed_butlast='s,/*[^/]*$$,,'; \
197 while test -n "$$dir1"; do \
198 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
199 if test "$$first" != "."; then \
200 if test "$$first" = ".."; then \
201 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
202 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
204 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
205 if test "$$first2" = "$$first"; then \
206 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
210 dir0="$$dir0"/"$$first"; \
213 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
216 DIST_ARCHIVES = $(distdir).tar.gz
218 DIST_TARGETS = dist-gzip
219 distuninstallcheck_listfiles = find . -type f -print
220 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
221 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
222 distcleancheck_listfiles = find . -type f -print
225 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
227 AUTOCONF = @AUTOCONF@
228 AUTOHEADER = @AUTOHEADER@
229 AUTOMAKE = @AUTOMAKE@
232 CCDEPMODE = @CCDEPMODE@
234 CPPFLAGS = @CPPFLAGS@
235 CYGPATH_W = @CYGPATH_W@
242 FUSE_CFLAGS = @FUSE_CFLAGS@
243 FUSE_LIBS = @FUSE_LIBS@
245 INSTALL_DATA = @INSTALL_DATA@
246 INSTALL_PROGRAM = @INSTALL_PROGRAM@
247 INSTALL_SCRIPT = @INSTALL_SCRIPT@
248 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
252 LTLIBOBJS = @LTLIBOBJS@
253 MAKEINFO = @MAKEINFO@
257 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
258 PACKAGE_NAME = @PACKAGE_NAME@
259 PACKAGE_STRING = @PACKAGE_STRING@
260 PACKAGE_TARNAME = @PACKAGE_TARNAME@
261 PACKAGE_URL = @PACKAGE_URL@
262 PACKAGE_VERSION = @PACKAGE_VERSION@
263 PATH_SEPARATOR = @PATH_SEPARATOR@
264 PKG_CONFIG = @PKG_CONFIG@
265 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
266 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
268 SET_MAKE = @SET_MAKE@
272 abs_builddir = @abs_builddir@
273 abs_srcdir = @abs_srcdir@
274 abs_top_builddir = @abs_top_builddir@
275 abs_top_srcdir = @abs_top_srcdir@
276 ac_ct_AR = @ac_ct_AR@
277 ac_ct_CC = @ac_ct_CC@
278 am__include = @am__include@
279 am__leading_dot = @am__leading_dot@
280 am__quote = @am__quote@
282 am__untar = @am__untar@
284 build_alias = @build_alias@
285 builddir = @builddir@
287 datarootdir = @datarootdir@
290 exec_prefix = @exec_prefix@
291 host_alias = @host_alias@
293 includedir = @includedir@
295 install_sh = @install_sh@
297 libexecdir = @libexecdir@
298 localedir = @localedir@
299 localstatedir = @localstatedir@
302 oldincludedir = @oldincludedir@
305 program_transform_name = @program_transform_name@
308 sharedstatedir = @sharedstatedir@
310 sysconfdir = @sysconfdir@
311 target_alias = @target_alias@
312 top_build_prefix = @top_build_prefix@
313 top_builddir = @top_builddir@
314 top_srcdir = @top_srcdir@
315 SUBDIRS = libexfat fuse
319 am--refresh: Makefile
321 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
323 case '$(am__configure_deps)' in \
325 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
326 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
331 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
332 $(am__cd) $(top_srcdir) && \
333 $(AUTOMAKE) --foreign Makefile
334 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
337 echo ' $(SHELL) ./config.status'; \
338 $(SHELL) ./config.status;; \
340 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
341 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
344 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
345 $(SHELL) ./config.status --recheck
347 $(top_srcdir)/configure: $(am__configure_deps)
348 $(am__cd) $(srcdir) && $(AUTOCONF)
349 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
350 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
351 $(am__aclocal_m4_deps):
353 # This directory's subdirectories are mostly independent; you can cd
354 # into them and run 'make' without going through this Makefile.
355 # To change the values of 'make' variables: instead of editing Makefiles,
356 # (1) if the variable is set in 'config.status', edit 'config.status'
357 # (which will cause the Makefiles to be regenerated when you run 'make');
358 # (2) otherwise, pass the desired values on the 'make' command line.
359 $(am__recursive_targets):
361 if $(am__make_keepgoing); then \
362 failcom='fail=yes'; \
367 target=`echo $@ | sed s/-recursive//`; \
369 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
370 *) list='$(SUBDIRS)' ;; \
372 for subdir in $$list; do \
373 echo "Making $$target in $$subdir"; \
374 if test "$$subdir" = "."; then \
376 local_target="$$target-am"; \
378 local_target="$$target"; \
380 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
383 if test "$$dot_seen" = "no"; then \
384 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
387 ID: $(am__tagged_files)
388 $(am__define_uniq_tagged_files); mkid -fID $$unique
392 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
395 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
396 include_option=--etags-include; \
399 include_option=--include; \
402 list='$(SUBDIRS)'; for subdir in $$list; do \
403 if test "$$subdir" = .; then :; else \
404 test ! -f $$subdir/TAGS || \
405 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
408 $(am__define_uniq_tagged_files); \
410 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
411 test -n "$$unique" || unique=$$empty_fix; \
412 if test $$# -gt 0; then \
413 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
416 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
420 ctags: ctags-recursive
423 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
424 $(am__define_uniq_tagged_files); \
425 test -z "$(CTAGS_ARGS)$$unique" \
426 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
430 here=`$(am__cd) $(top_builddir) && pwd` \
431 && $(am__cd) $(top_srcdir) \
432 && gtags -i $(GTAGS_ARGS) "$$here"
434 test ! -s cscope.files \
435 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
438 cscope.files: clean-cscope cscopelist
439 cscopelist: cscopelist-recursive
441 cscopelist-am: $(am__tagged_files)
442 list='$(am__tagged_files)'; \
443 case "$(srcdir)" in \
444 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
445 *) sdir=$(subdir)/$(srcdir) ;; \
447 for i in $$list; do \
448 if test -f "$$i"; then \
449 echo "$(subdir)/$$i"; \
453 done >> $(top_builddir)/cscope.files
456 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
457 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
459 distdir: $(DISTFILES)
460 $(am__remove_distdir)
461 test -d "$(distdir)" || mkdir "$(distdir)"
462 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
463 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
464 list='$(DISTFILES)'; \
465 dist_files=`for file in $$list; do echo $$file; done | \
466 sed -e "s|^$$srcdirstrip/||;t" \
467 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
468 case $$dist_files in \
469 */*) $(MKDIR_P) `echo "$$dist_files" | \
470 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
473 for file in $$dist_files; do \
474 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
475 if test -d $$d/$$file; then \
476 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
477 if test -d "$(distdir)/$$file"; then \
478 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
480 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
481 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
482 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
484 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
486 test -f "$(distdir)/$$file" \
487 || cp -p $$d/$$file "$(distdir)/$$file" \
491 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
492 if test "$$subdir" = .; then :; else \
494 || test -d "$(distdir)/$$subdir" \
495 || $(MKDIR_P) "$(distdir)/$$subdir" \
497 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
499 new_distdir=$$reldir; \
500 dir1=$$subdir; dir2="$(top_distdir)"; \
502 new_top_distdir=$$reldir; \
503 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
504 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
505 ($(am__cd) $$subdir && \
506 $(MAKE) $(AM_MAKEFLAGS) \
507 top_distdir="$$new_top_distdir" \
508 distdir="$$new_distdir" \
509 am__remove_distdir=: \
510 am__skip_length_check=: \
511 am__skip_mode_fix=: \
516 -test -n "$(am__skip_mode_fix)" \
517 || find "$(distdir)" -type d ! -perm -755 \
518 -exec chmod u+rwx,go+rx {} \; -o \
519 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
520 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
521 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
522 || chmod -R a+r "$(distdir)"
524 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
525 $(am__post_remove_distdir)
528 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
529 $(am__post_remove_distdir)
532 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
533 $(am__post_remove_distdir)
536 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
537 $(am__post_remove_distdir)
540 @echo WARNING: "Support for distribution archives compressed with" \
541 "legacy program 'compress' is deprecated." >&2
542 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
543 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
544 $(am__post_remove_distdir)
547 @echo WARNING: "Support for shar distribution archives is" \
549 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
550 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
551 $(am__post_remove_distdir)
554 -rm -f $(distdir).zip
555 zip -rq $(distdir).zip $(distdir)
556 $(am__post_remove_distdir)
559 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
560 $(am__post_remove_distdir)
562 # This target untars the dist file and tries a VPATH configuration. Then
563 # it guarantees that the distribution is self-contained by making another
566 case '$(DIST_ARCHIVES)' in \
568 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
570 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
572 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
574 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
576 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
578 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
580 unzip $(distdir).zip ;;\
582 chmod -R a-w $(distdir)
584 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
586 test -d $(distdir)/_build || exit 0; \
587 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
588 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
590 && $(am__cd) $(distdir)/_build/sub \
592 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
593 $(DISTCHECK_CONFIGURE_FLAGS) \
594 --srcdir=../.. --prefix="$$dc_install_base" \
595 && $(MAKE) $(AM_MAKEFLAGS) \
596 && $(MAKE) $(AM_MAKEFLAGS) dvi \
597 && $(MAKE) $(AM_MAKEFLAGS) check \
598 && $(MAKE) $(AM_MAKEFLAGS) install \
599 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
600 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
601 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
603 && chmod -R a-w "$$dc_install_base" \
605 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
606 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
607 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
608 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
609 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
610 } || { rm -rf "$$dc_destdir"; exit 1; }) \
611 && rm -rf "$$dc_destdir" \
612 && $(MAKE) $(AM_MAKEFLAGS) dist \
613 && rm -rf $(DIST_ARCHIVES) \
614 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
617 $(am__post_remove_distdir)
618 @(echo "$(distdir) archives ready for distribution: "; \
619 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
620 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
622 @test -n '$(distuninstallcheck_dir)' || { \
623 echo 'ERROR: trying to run $@ with an empty' \
624 '$$(distuninstallcheck_dir)' >&2; \
627 $(am__cd) '$(distuninstallcheck_dir)' || { \
628 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
631 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
632 || { echo "ERROR: files left after uninstall:" ; \
633 if test -n "$(DESTDIR)"; then \
634 echo " (check DESTDIR support)"; \
636 $(distuninstallcheck_listfiles) ; \
638 distcleancheck: distclean
639 @if test '$(srcdir)' = . ; then \
640 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
643 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
644 || { echo "ERROR: files left in build directory after distclean:" ; \
645 $(distcleancheck_listfiles) ; \
648 check: check-recursive
650 installdirs: installdirs-recursive
652 install: install-recursive
653 install-exec: install-exec-recursive
654 install-data: install-data-recursive
655 uninstall: uninstall-recursive
658 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
660 installcheck: installcheck-recursive
662 if test -z '$(STRIP)'; then \
663 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
664 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
667 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
668 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
669 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
676 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
677 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
679 maintainer-clean-generic:
680 @echo "This command is intended for maintainers to use"
681 @echo "it deletes files that may require special tools to rebuild."
682 clean: clean-recursive
684 clean-am: clean-generic mostlyclean-am
686 distclean: distclean-recursive
687 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
689 distclean-am: clean-am distclean-generic distclean-tags
705 install-dvi: install-dvi-recursive
711 install-html: install-html-recursive
715 install-info: install-info-recursive
721 install-pdf: install-pdf-recursive
725 install-ps: install-ps-recursive
731 maintainer-clean: maintainer-clean-recursive
732 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
733 -rm -rf $(top_srcdir)/autom4te.cache
735 maintainer-clean-am: distclean-am maintainer-clean-generic
737 mostlyclean: mostlyclean-recursive
739 mostlyclean-am: mostlyclean-generic
751 .MAKE: $(am__recursive_targets) install-am install-strip
753 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
754 am--refresh check check-am clean clean-cscope clean-generic \
755 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
756 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
757 distcheck distclean distclean-generic distclean-tags \
758 distcleancheck distdir distuninstallcheck dvi dvi-am html \
759 html-am info info-am install install-am install-data \
760 install-data-am install-dvi install-dvi-am install-exec \
761 install-exec-am install-html install-html-am install-info \
762 install-info-am install-man install-pdf install-pdf-am \
763 install-ps install-ps-am install-strip installcheck \
764 installcheck-am installdirs installdirs-am maintainer-clean \
765 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
766 pdf-am ps ps-am tags tags-am uninstall uninstall-am
771 # Tell versions [3.59,3.63) of GNU make to not export all variables.
772 # Otherwise a system limit (for SysV at least) may be exceeded.